Update Access PolicyAsk AIput https://api.lumos.com/access_policies/{access_policy_id}Update an access policy by ID.Path Paramsaccess_policy_idstringrequiredBody ParamsnamestringrequiredThe name of the access policy.business_justificationstringrequiredExplanation for why this policy exists.appsarray of objectsrequiredlength ≥ 1List of apps granted by this access policy.Apps* objectidstringrequiredThe ID of this app.is_preapprovedbooleannullWhether approval is required for this app grant.truefalsepermissionsarraynullList of permissions granted for this app. Empty list means app-level grant.Permissions array of objectsADD objectaccess_conditionobjectnullThe Lumos Condition object determining which identities qualify for this policy. Required unless is_everyone_condition is true. This is a recursive JSON structure that allows you to define complex rules for filtering and matching identities using operators like equals, in, and, or, and not. For more information, see the Lumos Conditions documentation.access_condition objectis_everyone_conditionbooleanDefaults to falseWhether the access policy applies to everyone. If true, access_condition is ignored. Otherwise, access_condition must be provided.truefalseResponses 200Successful Response 422Validation ErrorUpdated 3 months ago